# FairMQ: fair::mq::shmem::SegmentAddressFromHandle Struct Reference

fair::mq::shmem::SegmentAddressFromHandle Struct Reference
Inheritance diagram for fair::mq::shmem::SegmentAddressFromHandle:
[legend]
Collaboration diagram for fair::mq::shmem::SegmentAddressFromHandle:
[legend]

## Public Member Functions

| SegmentAddressFromHandle (const boost::interprocess::managed_shared_memory::handle_t _handle)
template<typename S >
void * | operator() (S &s) const

## Public Attributes

const boost::interprocess::managed_shared_memory::handle_t | handle

The documentation for this struct was generated from the following file:

- fairmq/shmem/Common.h

privacy